## cascading.cascade
Class CascadeProps

    java.lang.Object
      cascading.property.Props
          cascading.cascade.CascadeProps

    public class CascadeProps

extends Props

Class CascadeProps is a fluent helper class for setting various `Cascade` level properties passed through a `CascadeConnector`.

Field Summary
`static String` `MAX_CONCURRENT_FLOWS`

Constructor Summary
`CascadeProps()`

Method Summary
`protected void` `addPropertiesTo(Properties properties)`
`static CascadeProps` `cascadeProps()` Creates a new CascadeProps instance.
`int` `getMaxConcurrentFlows()`
`CascadeProps` `setMaxConcurrentFlows(int maxConcurrentFlows)` Method setMaxConcurrentFlows sets the maximum number of Flows that a Cascade can run concurrently.
`static void` `setMaxConcurrentFlows(Map<Object,Object> properties, int numConcurrentFlows)` Method setMaxConcurrentFlows sets the maximum number of Flows that a Cascade can run concurrently.

Methods inherited from class cascading.property.Props
`buildProperties, buildProperties, buildProperties, buildProperties, setProperties, setProperties`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MAX_CONCURRENT_FLOWS

    public static final String MAX_CONCURRENT_FLOWS

See Also:
  Constant Field Values

Constructor Detail

### CascadeProps

    public CascadeProps()

Method Detail

### setMaxConcurrentFlows

    public static void setMaxConcurrentFlows(Map<Object,Object> properties,
                                             int numConcurrentFlows)

  Method setMaxConcurrentFlows sets the maximum number of Flows that a Cascade can run concurrently.

  A value of one (1) will run one Flow at a time. A value of zero (0), the default, disables the restriction.

  By default a Cascade will attempt to run all give Flow instances at the same time. But there are occasions where limiting the number for flows helps manages resources.

  Parameters:
    `properties` - of type Map<Object, Object>
    `numConcurrentFlows` - of type int

### cascadeProps

    public static CascadeProps cascadeProps()

  Creates a new CascadeProps instance.

  Returns:
    CascadeProps instance

### getMaxConcurrentFlows

    public int getMaxConcurrentFlows()

### setMaxConcurrentFlows

    public CascadeProps setMaxConcurrentFlows(int maxConcurrentFlows)

  Method setMaxConcurrentFlows sets the maximum number of Flows that a Cascade can run concurrently.

  A value of one (1) will run one Flow at a time. A value of zero (0), the default, disables the restriction.

  By default a Cascade will attempt to run all give Flow instances at the same time, if eligible. But there are occasions where limiting the number for flows helps manages resources.

  Parameters:
    `maxConcurrentFlows` - of type int

### addPropertiesTo

    protected void addPropertiesTo(Properties properties)

  Specified by:
    `addPropertiesTo` in class `Props`

Copyright © 2007-2014 Concurrent, Inc. All Rights Reserved.